Subject: [Callers] Re: Thoughts on fees for a wedding dance?
From: Lorraine Sutton <[email-masked]>
To: Joseph Erhard-Hudson <[email-masked]>
Cc: Shared Weight Contra Callers <[email-masked]>
Date: Mon, 10 Nov 2025 15:09:30 -0500
List-Id: Contra Caller's discussion list <contracallers.lists.sharedweight.net>

Hi

My average fee is $300.00  and I only work with Live musicians  ( another
$500-600)

If I have to drive more than 1.5 hours to the event I charge a fee for Gas.

I have a contract with the couple  and expect a deposit of half the fee 4
weeks in advance,

A few experiences of being burned lead me to this.

L Sutton
Ontario Canada

On Mon, Nov 10, 2025 at 2:32 PM Joseph Erhard-Hudson via Contra Callers <
[email-masked]> wrote:

> Hi all,
>
> A good friend I made through contra dance has asked me to call some
> dancing at her wedding reception. (She is also a budding caller who I
> mentored for a while as she was getting started.) As soon as I said "yes",
> she asked what compensation would be meaningful to me, which strikes me as
> a thoughtful and thought-provoking way to put it.
>
> While I ponder my answer, I'm curious to hear what other callers charge
> for wedding dances. If there's a range, would you ask differently for
> newly-met people vs. friends from your dance community vs. close friends
> and family? What other factors would you consider?
>
> For myself, for very close friends I have sometimes refused payment out of
> love, considering it a wedding gift to them. Others view their own wedding
> as a time of outward generosity and wouldn't dream of paying less than the
> customary amount, whatever the heck that is. (I am also an occasional
> wedding officiant and faced the same conundrum there, but at least have a
> more well-defined range of fees from the local community to fall back on
> when either side considers full payment to be needed.)
>
> I have called enough family events that I know what to bring and what to
> expect as a caller. I'd just like to focus on compensation here, unless
> there's something about the work that's needed from the caller that would
> influence what you ask.
>
> Joseph Erhard-Hudson
> Moscow, Idaho
> _______________________________________________
> Contra Callers mailing list -- [email-masked]
> To unsubscribe send an email to [email-masked]
>